<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!-- 
    ======================================================================================= 
     "This sample program is provided AS IS and may be used, executed, copied and modified
     without royalty payment by customer

     (a) for its own instruction and study,
     (b) in order to develop applications designed to run with an IBM WebSphere product,
         either for customer's own internal use or for redistribution by customer, as part
         of such an application, in customer's own products."

     Product 5655-FLW,  (C) COPYRIGHT International Business Machines Corp., 2006, 2010
     All Rights Reserved * Licensed Materials - Property of IBM
    ======================================================================================= 
-->
<html>
<head>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://com.ibm.bpe.jsf/taglib" prefix="bpe"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta http-equiv="Content-Style-Type" content="text/css">
<link href="theme/styles.css" rel="stylesheet"	type="text/css">
<title>ProcessInstanceList.jsp</title>
<script type="text/javascript">

    // Check the node's tag name
    // @param node the node to check
    // @tagName the tag name to check
    // @return true if node's tag name and tagName match, false otherwise.
    //
    
    function is( node, tagName ) {
        return node.nodeType == 1 && node.tagName.toLowerCase() == tagName.toLowerCase() ;
    }


    // Highlight all rows which contains a cell with a certain value
    // @param cellValue the cell value which highlights the row
    // @return void
    //
    
    function highlightRows( cellValue, styleName ) {

      // Find all rows in the document
      //
      var rows = document.getElementsByTagName("tr") ;
      for( var idx = 0; idx < rows.length; idx++ ) {
        var hit = false ;
        
        // ... then check table row children if they contain the value.
        //     current implementation generates the following table row:
        //     <tr><td>...</td><td><span ...>finished</span></td>...<tr>
        //     to resolve 'finished', you have to access td.firstChild.firstChild
        //
          for( var k in rows[ idx ].childNodes ) {
               var td = rows[ idx ].childNodes[ k ] ;
               if( is( td, "td" ) ) {
                 if( td.firstChild && td.firstChild.firstChild && td.firstChild.firstChild.nodeValue == cellValue ) {
                     hit = true ;
                     break ;
                 }                     
              }
          }
          
          // If the row was 'hit' then highlight all its cells, e.g. assign the
          // style class 'highlight' to the table cell.
          //
          if( hit ) {
              for( k in rows[ idx ].childNodes ) {
                   td = rows[ idx ].childNodes[ k ] ;
                   if( is( td, "td" ) ) {
                         td.className = styleName;
                  }
            }
        }
      }
      
    }

    
    // Register onload handler that is executed as soon as the window loaded its content
    //
    window.onload = function() {
    
        // Apply syntax highlighting for the list component
        // with states of finished, terminated, or failed
        //  - customize the styles in your stylesheet
        //
        highlightRows("finished", "finished");
        highlightRows("terminated", "terminated");
        highlightRows("failed", "failed");
    }

</script>


</head>
<f:view>
	<body>

	<div align="center">
	
		<jsp:include page="Header.jsp" flush=""/>
	
		<div class="content">
	
			<h1>Process Instances</h1>
		
			<div class="help-text">To view the details of a process instance, click the name in the list.</div>
		
			<h:form styleClass="command-bar-form">

				<div class="command-bar">
				
					<%--
						Make sure that the command bar's model refers to the same managed bean as in the details or list 
						handler. You will find the definition of the managed bean in faces-config.xml. Please refer
						to the InfoCenter for more details on the command bar component and on commands.
					--%>
									
					<bpe:commandbar model="#{ProcessInstanceListHandler}" buttonStyleClass="command-button">
						<h:outputText value="Order No."/><h:inputText value="#{ProcessInstanceListHandler.query.orderNo}"/>
						<h:outputText value="Department"/><h:inputText value="#{ProcessInstanceListHandler.query.department}"/>
						<bpe:command label="Refresh" commandID="RefreshProcessInstancList" action="#{ProcessInstanceListHandler.refreshList}" />
						<bpe:command label="Delete" commandID="DeleteProcessInstances" commandClass="bpc.samples.command.DeleteProcessInstancesCommand" action="#{ProcessInstanceListHandler.refreshList}" />
					</bpe:commandbar>
				</div>
				
				
				<%-- 
					Insert list handler which operates on the type bpc.samples.bean.CustomProcessInstanceBean.
					Add columns which refer to the type's properties. The names will translate to appropriate getter
					methods on the bean, e.g. "name" translates to "getName()". Please refer to the InfoCenter for 
					more information on list handlers.
				--%>		
				
				<bpe:list model="#{ProcessInstanceListHandler}"
				    styleClass="list" 
				    headerStyleClass="template-headers"
					buttonStyleClass="list-buttons"
					checkbox="true">
				
					<bpe:column name="name" label="Name" action="ProcessInstanceDetails"/>
					<bpe:column name="orderNo" label="Order No."/>
					<bpe:column name="department" label="Department"/>
					<bpe:column name="executionState" converterID="ProcessStateConverter" label="Status" />
					<bpe:column name="startTime" label="Started" converterID="CalendarConverter"/>
				</bpe:list>
			</h:form>
		</div>
	
	</div>
	</body>
</f:view>
</html>
