<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!-- 
    ======================================================================================= 
     "This sample program is provided AS IS and may be used, executed, copied and modified
     without royalty payment by customer

     (a) for its own instruction and study,
     (b) in order to develop applications designed to run with an IBM WebSphere product,
         either for customer's own internal use or for redistribution by customer, as part
         of such an application, in customer's own products."

     Product 5655-FLW,  (C) COPYRIGHT International Business Machines Corp., 2006, 2010
     All Rights Reserved * Licensed Materials - Property of IBM
    ======================================================================================= 
-->
<html>
<head>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://com.ibm.bpe.jsf/taglib" prefix="bpe"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="GENERATOR" content="IBM Software Development Platform">
<link href="theme/styles.css" rel="stylesheet" type="text/css">
<title>ProcessStartForm.jsp</title>
</head>
<f:view locale="de">
	<body>

	<div align="center">
	
		<jsp:include page="Header.jsp" flush=""/>
	
		<div class="content">
	
			<h1>Start the order management process</h1>
		
			<div class="help-text">Enter the values into the form, then click Start.</div>
	
			<h:form>
				
				<%--
					Make sure that the command bar's model refers to the same managed bean as in the details or list 
					handler. You will find the definition of the managed bean in faces-config.xml. Please refer
					to the InfoCenter for more details on the command bar component and on commands.
				--%>
				
				<div class="command-bar">
					<bpe:commandbar model="#{ProcessInstanceStartHandler}" buttonStyleClass="command-button">
						<bpe:command label="Start"  commandID="OkStartProcessInstance" 
						             commandClass="bpc.samples.command.StartProcessInstance"
								     context="#{ProcessInstanceStartHandler}" action="ProcessInstanceList" />
						<bpe:command label="Cancel" commandID="CancelStartProcessInstance" action="ProcessTemplateList" />
					</bpe:commandbar>
				</div>
			
				<%--  
					Add standard JSF input controls for the input values of, the OrderManagementProcess.
					Make sure that the managed bean provides the getters/setters for the referenced fields.
				--%>
				<table>
					<tr>
						<td>Department:</td>
						<td><h:inputText value="#{ProcessInstanceStartHandler.department}"></h:inputText></td>
					</tr>
					<tr>
						<td>Order Number:</td>
						<td><h:inputText value="#{ProcessInstanceStartHandler.orderNo}"></h:inputText></td>
					</tr>
					<tr>
					  <td colspan="2"><div class="messageheader">Order data:</div></td>
					</tr>
					<tr>
						<td>Supplier number:</td>
						<td><h:inputText value="#{ProcessInstanceStartHandler.supplierNo}"></h:inputText></td>
					</tr>
					<tr>
						<td>Total amount:</td>
						<td><h:inputText value="#{ProcessInstanceStartHandler.sizeOfOrder}"></h:inputText></td>
					</tr>
					<tr>
						<td>Order text:</td>
						<td><h:inputText value="#{ProcessInstanceStartHandler.orderText}"></h:inputText></td>
					</tr>
				</table>
		</h:form>
	
		</div>
	</div>
	</body>
</f:view>
</html>
