<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!-- 
    ======================================================================================= 
     "This sample program is provided AS IS and may be used, executed, copied and modified
     without royalty payment by customer

     (a) for its own instruction and study,
     (b) in order to develop applications designed to run with an IBM WebSphere product,
         either for customer's own internal use or for redistribution by customer, as part
         of such an application, in customer's own products."

     Product 5655-FLW,  (C) COPYRIGHT International Business Machines Corp., 2006, 2010
     All Rights Reserved * Licensed Materials - Property of IBM
    ======================================================================================= 
-->
<html>
<head>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://com.ibm.bpe.jsf/taglib" prefix="bpe"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="GENERATOR" content="IBM Software Development Platform">
<meta http-equiv="Content-Style-Type" content="text/css">
<link href="theme/styles.css" rel="stylesheet"	type="text/css">
<title>TaskInstanceDetails.jsp</title>
</head>
<f:view locale="de">
	<body>
	
	<div align="center">
	
		<jsp:include page="Header.jsp" flush=""/>
	
		<div class="content">
	
			<h1>Task Instance Details: <h:outputText value="#{TaskMessageHandler.taskInstance.name}" converter="TaskNameConverter"/></h1>
		
			<div class="help-text">To work on the task instance, click the command buttons.</div>
			
			<h:form>
				<div class="command-bar">
				
					<%--
						Make sure that the command bar's model refers to the same managed bean as in the details or list 
						handler. You will find the definition of the managed bean in faces-config.xml. Please refer
						to the InfoCenter for more details on the command bar component and on commands.
					--%>
									
					<bpe:commandbar model="#{TaskMessageHandler}" buttonStyleClass="command-button" >
						<bpe:command label="Claim"  commandID="ClaimTaskInstance" commandClass="bpc.samples.command.ClaimTaskCommand" action="#{TaskMessageHandler.refresh}"/>
						<bpe:command label="Save"   commandID="SaveTaskInstance" commandClass="bpc.samples.command.SaveTaskCommand" context="#{TaskMessageHandler}" action="#{TaskMessageHandler.refresh}"/>
						<bpe:command label="Finish" commandID="FinishTaskInstance" commandClass="bpc.samples.command.CompleteTaskCommand" context="#{TaskMessageHandler}" action="#{TaskMessageHandler.refreshList}" />
						<bpe:command label="Release" commandID="ReleaseTaskInstance" commandClass="bpc.samples.command.CancelClaimCommand" action="#{TaskMessageHandler.refreshList}"/>
						<bpe:command label="Back" commandID="BackTaskInstance" action="#{TaskMessageHandler.refreshList}" />
					</bpe:commandbar>
				</div>
				
				<div>
					<%--  
						Add standard JSF output controls for custom properties, e.g. orderNo. Make sure that the managed 
						bean provides the getters/setters for the referenced properties.
					--%>
					<h:panelGrid columns="2">
						<h:outputText value="Order No.: " /><h:outputText value="#{TaskMessageHandler.taskInstance.orderNo}"/>
						<h:outputText value="Department: " /><h:outputText value="#{TaskMessageHandler.taskInstance.department}"/>
					</h:panelGrid>
				</div>
				
				
				<%-- 
					Insert message components for input and output message of #{TaskInstsanceDetailsHandler} here.
					The message component will display Custom JSPs if they were specified in the Human Task Editor (WID).
					Below is some logic which controls the rendering and the read/write access to the output message for
					the user. Please refer to the "TaskMessageHandler" bean in the faces-config.xml for more details.
				--%>
				
				<bpe:form model="#{TaskMessageHandler.inputMessage}" 
				          readOnly="true" 
				          simplification="true"
				          styleClass4table="message"
			              styleClass4validInput="valid"
				          styleClass4output="message-label"
				          />
	
				<h:panelGrid rendered="#{TaskMessageHandler.renderOutputMessage}" >
				    <bpe:form model="#{TaskMessageHandler.outputMessage}"  
				              readOnly="#{TaskMessageHandler.readOnly}"   
					          simplification="true"
				              styleClass4table="message" 
				              styleClass4validInput="valid"
					          styleClass4output="message-label"  
				              />
				</h:panelGrid>
				
			</h:form>
		</div>
	</div>
	</body>
</f:view>
</html>
