<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!-- 
    ======================================================================================= 
     "This sample program is provided AS IS and may be used, executed, copied and modified
     without royalty payment by customer

     (a) for its own instruction and study,
     (b) in order to develop applications designed to run with an IBM WebSphere product,
         either for customer's own internal use or for redistribution by customer, as part
         of such an application, in customer's own products."

     Product 5655-FLW,  (C) COPYRIGHT International Business Machines Corp., 2006, 2010
     All Rights Reserved * Licensed Materials - Property of IBM
    ======================================================================================= 
-->
<html>
<head>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://com.ibm.bpe.jsf/taglib" prefix="bpe"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="GENERATOR" content="IBM Software Development Platform">
<meta http-equiv="Content-Style-Type" content="text/css">
<link href="theme/styles.css" rel="stylesheet" type="text/css">
<title>TaskInstanceList.jsp</title>
</head>
<f:view>
	<body>
	
	<div align="center">
	
		<jsp:include page="Header.jsp" flush=""/>
	
		<div class="content">
	
			<h1>My Task Instances</h1>
		
			<div class="help-text">To work on a task, click the name in the list.</div>
		
			<h:form>

				<div class="command-bar">
				
					<%--
						Make sure that the command bar's model refers to the same managed bean as in the details or list 
						handler. You will find the definition of the managed bean in faces-config.xml. Please refer
						to the InfoCenter for more details on the command bar component and on commands.
					--%>
									
					<bpe:commandbar model="#{TaskInstanceListHandler}" buttonStyleClass="command-button">
						<h:outputText value="Order No."/><h:inputText value="#{TaskInstanceListHandler.query.orderNo}"/>
						<h:outputText value="Department"/><h:inputText value="#{TaskInstanceListHandler.query.department}"/>
						<bpe:command label="Refresh" commandID="RefreshProcessInstancList" action="#{TaskInstanceListHandler.refreshList}" />
					</bpe:commandbar>
				</div>
	
				<%-- 
					Insert list handler which operates on the type bpc.samples.bean.CustomTaskInstanceBean.
					Add columns which refer to the type's properties. The names will translate to appropriate getter
					methods on the bean, e.g. "name" translates to "getName()". Please refer to the InfoCenter for 
					more information on list handlers.
				--%>		
				

				<bpe:list model="#{TaskInstanceListHandler}"
				    styleClass="list" 
				    headerStyleClass="template-headers"
					buttonStyleClass="list-buttons"
					checkbox="false">
				
					<bpe:column name="name" converterID="TaskNameConverter" label="Name" action="TaskInstanceDetails"/>
					<bpe:column name="orderNo" label="Order No."/>
					<bpe:column name="department" label="Deptartment"/>
					<bpe:column name="state" converterID="TaskStateConverter" label="Status" />
				</bpe:list>
				
			</h:form>
		</div>
	</div>
	</body>
</f:view>
</html>
