/* 
    ======================================================================================= 
     "This sample program is provided AS IS and may be used, executed, copied and modified
     without royalty payment by customer

     (a) for its own instruction and study,
     (b) in order to develop applications designed to run with an IBM WebSphere product,
         either for customer's own internal use or for redistribution by customer, as part
         of such an application, in customer's own products."

     Product 5655-FLW,  (C) COPYRIGHT International Business Machines Corp., 2006, 2010
     All Rights Reserved * Licensed Materials - Property of IBM
    ======================================================================================= 
*/

package bpc.samples;

import com.ibm.bpc.clientcore.ClientException;
import com.ibm.bpc.clientcore.exception.CommandBarMessage;

/** 
 * <p>CustomException represents an exception in the custom client.</p>
 * <p>It implements the <code>CommandBarMessage</code> so that the
 * exception is shown in the command bar. More specifically, 
 * its toString method is used to render the message to the user.</p>
 */
public class CustomException extends  ClientException implements CommandBarMessage{

	public static final long serialVersionUID = 1L;

	private String	message = null ;
    
    /**
     *  C'tor
     *  @param message: the original message
     */
    public CustomException( String message ) {
        super( null, message, null, null );
        this.message = message ;
    }
    
    /** 
     * Convert this to a string representation
     * @return the message
     */
    public String toString() {
        return this.getClass().getName() + " - " + message ;
    }

}
