/* 
    ======================================================================================= 
     "This sample program is provided AS IS and may be used, executed, copied and modified
     without royalty payment by customer
  
     (a) for its own instruction and study,
     (b) in order to develop applications designed to run with an IBM WebSphere product,
         either for customer's own internal use or for redistribution by customer, as part
         of such an application, in customer's own products."

     Product 5655-FLW,  (C) COPYRIGHT International Business Machines Corp., 2006, 2010
     All Rights Reserved * Licensed Materials - Property of IBM
    ======================================================================================= 
*/

package bpc.samples.converter;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;

import com.ibm.bpe.api.ProcessInstanceData;

/**
 * Converts the state information of tasks to a meaningful string.
 * 
 */
public class ProcessStateConverter implements Converter {
	
	private static final String LABEL_COMPENSATED          = "compensated";
	private static final String LABEL_COMPENSATING         = "compensating";
	private static final String LABEL_COMPENSATION_FAILED  = "compensation failed";
	private static final String LABEL_FAILED               = "failed";
	private static final String LABEL_FAILING              = "failing";
	private static final String LABEL_FINISHED             = "finished";
	private static final String LABEL_INDOUBT              = "in doubt";
	private static final String LABEL_READY                = "ready";
	private static final String LABEL_RUNNING              = "running";
	private static final String LABEL_SUSPENDED            = "suspended";
	private static final String LABEL_TERMINATED           = "terminated";
	private static final String LABEL_TERMINATING          = "terminating";
	
	private static final String LABEL_UNKNOWN = "unknown";

	/* (non-Javadoc)
	 * @see javax.faces.convert.Converter#getAsObject(javax.faces.context.FacesContext, javax.faces.component.UIComponent, java.lang.String)
	 */
	public Object getAsObject(FacesContext context, UIComponent component, String label) {
		
		int state = ProcessInstanceData.STATE_INDOUBT;
		
		if(label != null)
		{
			if(label.equals(LABEL_COMPENSATED))
			{
				state = ProcessInstanceData.STATE_COMPENSATED;
			}
			else if(label.equals(LABEL_COMPENSATING))
			{
				state = ProcessInstanceData.STATE_COMPENSATING;
			}
			else if(label.equals(LABEL_COMPENSATION_FAILED))
			{
				state = ProcessInstanceData.STATE_COMPENSATION_FAILED;
			}
			else if(label.equals(LABEL_FAILED))
			{
				state = ProcessInstanceData.STATE_FAILED;
			}
			else if(label.equals(LABEL_FAILING))
			{
				state = ProcessInstanceData.STATE_FAILING;
			}
			else if(label.equals(LABEL_FINISHED))
			{
				state = ProcessInstanceData.STATE_FINISHED;
			}
			else if(label.equals(LABEL_INDOUBT))
			{
				state = ProcessInstanceData.STATE_INDOUBT;
			}
			else if(label.equals(LABEL_READY))
			{
				state = ProcessInstanceData.STATE_READY;
			}
			else if(label.equals(LABEL_RUNNING))
			{
				state = ProcessInstanceData.STATE_RUNNING;
			}
			else if(label.equals(LABEL_SUSPENDED))
			{
				state = ProcessInstanceData.STATE_SUSPENDED;
			}
			else if(label.equals(LABEL_TERMINATED))
			{
				state = ProcessInstanceData.STATE_TERMINATED;
			}
			else if(label.equals(LABEL_TERMINATING))
			{
				state = ProcessInstanceData.STATE_TERMINATING;
			}
		}
		
		return new Integer(state);
	}

	/* (non-Javadoc)
	 * @see javax.faces.convert.Converter#getAsString(javax.faces.context.FacesContext, javax.faces.component.UIComponent, java.lang.Object)
	 */
	public String getAsString(FacesContext context, UIComponent component, Object stateObject) {
		
		String label = LABEL_UNKNOWN;
		
		if(stateObject != null && stateObject instanceof Integer)
		{
			int state = ((Integer)stateObject).intValue();
			
			switch(state)
			{
			    case ProcessInstanceData.STATE_READY:
				    label = LABEL_READY;
			        break;
			    case ProcessInstanceData.STATE_RUNNING:
				    label = LABEL_RUNNING;
			        break;
				case ProcessInstanceData.STATE_FINISHED:
					label = LABEL_FINISHED;
					break;
				case ProcessInstanceData.STATE_FAILED:
					label = LABEL_FAILED;
					break;
			    case ProcessInstanceData.STATE_COMPENSATED:
				    label = LABEL_COMPENSATED;				
				    break;
				case ProcessInstanceData.STATE_COMPENSATING:
					label = LABEL_COMPENSATING;
					break;
				case ProcessInstanceData.STATE_COMPENSATION_FAILED:
					label = LABEL_COMPENSATION_FAILED;
					break;
				case ProcessInstanceData.STATE_FAILING:
					label = LABEL_FAILING;
					break;
				case ProcessInstanceData.STATE_INDOUBT:
					label = LABEL_INDOUBT;
					break;
				case ProcessInstanceData.STATE_SUSPENDED:
					label = LABEL_SUSPENDED;
					break;
				case ProcessInstanceData.STATE_TERMINATED:
					label = LABEL_TERMINATED;
					break;
				case ProcessInstanceData.STATE_TERMINATING:
					label = LABEL_TERMINATING;
					break;
				default: label = LABEL_UNKNOWN;
			}
		}
		return label;
	}

}
