/* 
    ======================================================================================= 
     "This sample program is provided AS IS and may be used, executed, copied and modified
     without royalty payment by customer
  
     (a) for its own instruction and study,
     (b) in order to develop applications designed to run with an IBM WebSphere product,
         either for customer's own internal use or for redistribution by customer, as part
         of such an application, in customer's own products."

     Product 5655-FLW,  (C) COPYRIGHT International Business Machines Corp., 2006, 2010
     All Rights Reserved * Licensed Materials - Property of IBM
    ======================================================================================= 
*/

package bpc.samples.handler;

import java.util.logging.Logger;

import com.ibm.bpc.clientcore.ClientException;
import com.ibm.bpe.api.ProcessTemplateData;
import com.ibm.bpe.jsf.handler.ItemListener;

/** 
 * CustomHandler is an item listener which can be notified
 * when a user has clicked on a link in a list handler. 
 * <p>Make sure to configure the item listener property in the
 * faces-config.xml, e.g. add a managed bean of this class to
 * be an item listener of a list handler.</p>
 */
public class CustomHandler implements ItemListener {

	static Logger logger = Logger.getLogger( "CustomClient" ) ;
	
    private	ProcessTemplateData	processTemplate = null ;

    private String orderNo ;
    private	String department ;
    private String supplierNo;
    private String sizeOfOrder;
    private String orderText;
    
   
	/** Notification that the user has selected an item
     * @see com.ibm.bpe.jsf.handler.ItemListener#itemChanged(java.lang.Object)
     */
    public void itemChanged(Object item) throws ClientException {
        logger.entering( "CustomHandler", "itemChanged(Object)" ) ;

    	if( item != null && item instanceof ProcessTemplateData ) {
            processTemplate = (ProcessTemplateData) item ;
        }
    	
        logger.exiting( "CustomHandler", "itemChanged(Object)", processTemplate ) ;
    }
        
    public ProcessTemplateData getProcessTemplate() {
        return processTemplate;
    }
    
	public String getDepartment() {
	    return department;
	}
	
	public void setDepartment(String department) {
	    this.department = department;
	}
	
	public String getOrderNo() {
	    return orderNo;
	}
	
	public void setOrderNo(String orderNo) {
	    this.orderNo = orderNo;
	}

	public String getSupplierNo() {
		return supplierNo;
	}

	public void setSupplierNo(String customerNo) {
		this.supplierNo = customerNo;
	}

	public String getOrderText() {
		return orderText;
	}

	public void setOrderText(String orderText) {
		this.orderText = orderText;
	}

	public void setProcessTemplate(ProcessTemplateData processTemplate) {
		this.processTemplate = processTemplate;
	}

	public String getSizeOfOrder() {
		return sizeOfOrder;
	}

	public void setSizeOfOrder(String sizeOfOrder) {
		this.sizeOfOrder = sizeOfOrder;
	}
	
	public void resetInputValues()
	{
		supplierNo = null;
		sizeOfOrder = null;
		orderNo = null;
		orderText = null;
		department = null;
	}
}
